=== xasm/CMakeLists.txt ===
include_directories ("${PROJECT_SOURCE_DIR}/xasm/common")

add_subdirectory (common)
add_subdirectory (dcpu-16)
add_subdirectory (6502)
add_subdirectory (680x0)
add_subdirectory (z80)
add_subdirectory (mips)
add_subdirectory (schip)
