=== xasm/common/CMakeLists.txt ===
add_library (xasm 
    amigaobject.c
    amigaobject.h
    binaryobject.c
    binaryobject.h
    dependency.c
    dependency.h
    errors.c
    errors.h
    expression.c
    expression.h
    filestack.c
    filestack.h
    lexer.c
    lexer.h
    lexer_constants.c
    lexer_constants.h
    lexer_variadics.c
    lexer_variadics.h
    linemap.c
    linemap.h
    object.c
    object.h
    options.c
    options.h
    parse.c
    parse.h
    parse_block.c
    parse_block.h
    parse_directive.c
    parse_directive.h
    parse_expression.c
    parse_expression.h
    parse_string.c
    parse_string.h
    parse_symbol.c
    parse_symbol.h
    patch.c
    patch.h
    section.c
    section.h
    symbol.c
    symbol.h
    tokens.c
    tokens.h
    xasm.c
    xasm.h)
