=== build/MacPorts/devel/asmotor/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 73471 2010-11-14 21:24:08Z ryandesign@macports.org $

PortSystem          1.0

PortGroup           cmake 1.0
cmake.out_of_source yes

PortGroup           github 1.0
github.setup        asmotor asmotor 0.9.0

fetch.type          git
post-fetch {
    system -W ${worksrcpath} "git submodule update --init"
}

categories          devel
platforms           darwin
license             GPL-3

maintainers         gmail.com:csoren

description         A cross assembler, linker and librarian for several CPUs.

long_description    ASMotor is a portable and generic assembler engine and \
                    development system written in ANSI C. The package \
                    consists of the assembler, the librarian and the linker. \
                    It can be used as either a cross or native development \
                    system. The assembler syntax is based on the A68k style \
                    macro language. Currently supported CPUs are the 680x0 \
                    family, 6502, MIPS32, SChip/Chip-8, DCPU-16, Z80 and \
                    Gameboy.

homepage            https://github.com/asmotor/asmotor
